Package org.codehaus.groovy.tools.groovydoc

## Class GroovyRootDocBuilder

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.GroovyRootDocBuilder

-     public class GroovyRootDocBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroovyRootDocBuilder​(GroovyDocTool tool, java.lang.String[] sourcepaths, java.util.List<LinkArgument> links, java.util.Properties properties)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `buildTree​(java.util.List<java.lang.String> filenames)` |
    `java.util.Map<java.lang.String,​GroovyClassDoc>` | `getClassDocsFromSingleSource​(java.lang.String packagePath, java.lang.String file, java.lang.String src)` |
    `GroovyRootDoc` | `getRootDoc()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyRootDocBuilder

          public GroovyRootDocBuilder​(GroovyDocTool tool,
                                      java.lang.String[] sourcepaths,
                                      java.util.List<LinkArgument> links,
                                      java.util.Properties properties)

  - ### Method Detail

    - #### getClassDocsFromSingleSource

          public java.util.Map<java.lang.String,​GroovyClassDoc> getClassDocsFromSingleSource​(java.lang.String packagePath,
                                                                                                   java.lang.String file,
                                                                                                   java.lang.String src)
                                                                                            throws RecognitionException,
                                                                                                   TokenStreamException

      Throws:
        `RecognitionException`
        `TokenStreamException`

    - #### buildTree

          public void buildTree​(java.util.List<java.lang.String> filenames)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getRootDoc

          public GroovyRootDoc getRootDoc()